package intrinsic.flash.filters;

public class GradientBevelFilter extends intrinsic.flash.filters.BitmapFilter {

	/** Accessors */
	public double angle;
	public intrinsic.Array alphas;
	public intrinsic.Array ratios;
	public boolean knockout;
	public double distance;
	public int quality;
	public double blurX;
	public String type;
	public double blurY;
	public double strength;
	public intrinsic.Array colors;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public GradientBevelFilter() {
}

public GradientBevelFilter(Object arg0) {
}

public GradientBevelFilter(Object arg0, Object arg1) {
}

public GradientBevelFilter(Object arg0, Object arg1, Object arg2) {
}

public GradientBevelFilter(Object arg0, Object arg1, Object arg2, Object arg3) {
}

public GradientBevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
}

public GradientBevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
}

public GradientBevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
}

public GradientBevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7) {
}

public GradientBevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8) {
}

public GradientBevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9) {
}

public GradientBevelFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
